; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
;       William F. Cravener Sun . Mar . 01 . 09
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
        .486
        .model flat,stdcall
        option casemap:none   ; case sensitive
    
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
        include \masm32\include\windows.inc
        include \masm32\include\user32.inc
        include \masm32\include\kernel32.inc
        include \masm32\include\gdi32.inc

        includelib \masm32\lib\user32.lib
        includelib \masm32\lib\kernel32.lib
        includelib \masm32\lib\gdi32.lib
    
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        IDC_STATIC1 equ 101
        IDC_STATIC2 equ 102
        IDC_STATIC3 equ 103

; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
        StaticColors PROTO :DWORD,:DWORD,:DWORD,:DWORD
    
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
.data
        hInstance   dd 0
        YellowBrush dd 0 
        dlgname db "STATICCONTROLS",0

; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.code
start:
        invoke GetModuleHandle,NULL
        mov hInstance,eax
        invoke DialogBoxParam,hInstance,ADDR dlgname,0,ADDR StaticColors,0
        invoke ExitProcess,eax
    
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
StaticColors proc hWin:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD
    
        .if uMsg == WM_INITDIALOG
            invoke CreateSolidBrush,000FFFFh
            mov YellowBrush,eax
    
        .elseif uMsg == WM_COMMAND
    
        .elseif uMsg == WM_PAINT
    
        .elseif uMsg == WM_CTLCOLORSTATIC
                invoke GetDlgItem,hWin,IDC_STATIC1
                .if eax == lParam
                    invoke SetBkMode,wParam,TRANSPARENT
                    invoke SetTextColor,wParam,White
                    invoke GetStockObject,BLACK_BRUSH
                    ret
                .endif
                invoke GetDlgItem,hWin,IDC_STATIC2
                .if eax == lParam
                    invoke SetBkMode,wParam,TRANSPARENT
                    invoke SetTextColor,wParam,Black
                    invoke GetStockObject,WHITE_BRUSH
                    ret
                .endif
                invoke GetDlgItem,hWin,IDC_STATIC3
                .if eax == lParam
                    invoke SetBkMode,wParam,TRANSPARENT
                    invoke SetTextColor,wParam,Blue
                    mov eax,YellowBrush
                    ret
                .endif
                ret

        .elseif uMsg == WM_CLOSE
                invoke DeleteObject,YellowBrush
                invoke EndDialog,hWin,NULL
   
        .endif
    
        xor eax,eax
        ret
    
StaticColors endp
    
; ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
end start
